/**
 * There are at least 3 different, incompatible interfaces for function call
 * parameters between near-api-js and the near wallet selector. This module
 * provides a standard interface and conversion functions.
 */
import { FunctionCallAction as WalletSelectorFunctionCallAction } from '@near-wallet-selector/core';
import { FunctionCallOptions as NearApiJsAccountFunctionCall } from 'near-api-js/lib/account';
export declare class StandardNearFunctionCall {
    readonly params: NearApiJsAccountFunctionCall;
    constructor(params: NearApiJsAccountFunctionCall);
    /**
     * Return a function call action for @wallet-selector/core.
     */
    toWalletSelectorAction(): WalletSelectorFunctionCallAction;
    /**
     * Return params for Account.functionCall.
     */
    toAccountFunctionCallParams(): NearApiJsAccountFunctionCall;
}
